import { jsx } from "react/jsx-runtime";
import { CurrencyNgn as CurrencyNgn$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CurrencyNgn = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CurrencyNgn", ...props, children: /* @__PURE__ */ jsx(CurrencyNgn$1, { weight: variant }) });
  }
);
CurrencyNgn.displayName = "CurrencyNgn";
Object.assign(CurrencyNgn, { isGdsIcon: true });
export {
  CurrencyNgn
};
